UPSCLI_DISCONNECT(3)

NAME
upscli_disconnect - disconnect from a UPS server

SYNOPSIS

#include <upsclient.h>

int upscli_disconnect(UPSCONN_t *ups);

DESCRIPTION

The upscli_disconnect() function takes the pointer ups to a UPSCONN_t state structure, shuts down the connection to the server, and frees dynamic memory used by the state structure.

The UPSCONN_t structure is no longer valid after this function is called.

This function must be called, or your program will leak memory and file descriptors.

RETURN VALUE

The upscli_disconnect() function returns 0 on success, or -1 if an error occurs.

SEE ALSO

upscli_connect(3), upscli_fd(3), upscli_strerror(3), upscli_upserror(3)